1
\$\begingroup\$

after some time with oxygine i have decided to start learning SFML, i configured codeblocks to link the header files and .so files, and whenever i try to compile i get this error:

||=== Build: Debug in shouldWorkNow (compiler: GNU GCC Compiler) ===|

SFML-2.3.2/lib/libsfml-graphics.so||undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'|

||=== Build failed: 1 error(s), 0 warning(s) (0 minute(s), 0 second(s)) ===|

the SFML package came from their website, under the gcc 64bit for linux, the files are DEFINITELY linked as i used a hundred tutorials on the Internet and youtube.

(mint 17.2 Rafaela | default gcc from apt-get | sfml 2.3)

\$\endgroup\$

1 Answer 1

2
\$\begingroup\$

it is possible that the SFML package was compiled with another/newer compiler. Try to install the gcc4.9,

sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get install gcc-4.9 g++-4.9
\$\endgroup\$

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .